package com.qmth.sop.business.bean.params;

import com.fasterxml.jackson.annotation.JsonInclude;
import com.qmth.sop.common.enums.FormWidgetMetadataOperator;
import com.qmth.sop.common.enums.FormWidgetMetadataOrder;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @Description: sop元数据param
 * @Param:
 * @return:
 * @Author: wngliang
 * @Date: 2023/9/4
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class FormWidgetMetadataParam implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "字段id")
    private String fieldId;

    @ApiModelProperty(value = "运算符")
    private FormWidgetMetadataOperator operator;

    @ApiModelProperty(value = "排序")
    private FormWidgetMetadataOrder order;

    @ApiModelProperty(value = "字段值")
    private String fieldValue;

    public FormWidgetMetadataOrder getOrder() {
        return order;
    }

    public void setOrder(FormWidgetMetadataOrder order) {
        this.order = order;
    }

    public FormWidgetMetadataOperator getOperator() {
        return operator;
    }

    public void setOperator(FormWidgetMetadataOperator operator) {
        this.operator = operator;
    }

    public String getFieldId() {
        return fieldId;
    }

    public void setFieldId(String fieldId) {
        this.fieldId = fieldId;
    }

    public String getFieldValue() {
        return fieldValue;
    }

    public void setFieldValue(String fieldValue) {
        this.fieldValue = fieldValue;
    }
}
